Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools XKMS Java API Reference 10g Release 3 (10.1.3) B25625-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.xkms
Class CompoundResult

`java.lang.Object
oracle.security.xmlsec.util.XMLNode
oracle.security.xmlsec.util.XMLElement
oracle.security.xmlsec.xkms.Message
oracle.security.xmlsec.xkms.Result
oracle.security.xmlsec.xkms.CompoundResult`

public class CompoundResult
extends Result

Class for XKMS compund result messages. Represents the `xkms:CompoundResultType` element.

Field Summary

Fields inherited from class oracle.security.xmlsec.util.XMLNode
`node, systemId`

Constructor Summary
`CompoundResult(org.w3c.dom.Document owner)` Create a new `CompoundResult` instance.
`CompoundResult(org.w3c.dom.Document owner, java.util.List results)` Create a new `CompoundResult` instance.
`CompoundResult(org.w3c.dom.Document owner, java.lang.String systemId)` Create a new `CompoundResult` instance.
`CompoundResult(org.w3c.dom.Element element)` Creates a new `CompoundResult` instance from the given Element node.

Method Summary
`void` | `addResult(Result result)` Add a XKMS result to this `CompoundResult` instance.
`java.util.List` | `getResults()` Returns the `xkms:CompoundResult` child element for this message or `null` if none is set.

Methods inherited from class oracle.security.xmlsec.xkms.Result
`getRequestID, getRequestSignatureBytes, getRequestSignatureValue, getResultMajor, getResultMinor, setRequestID, setRequestSignatureValue, setResultCode`

Methods inherited from class oracle.security.xmlsec.xkms.Message
`addMessageExtension, clearSignature, getId, getMessageExtensions, getNonce, getOpaqueClientData, getService, getSignature, insertChild, insertChild, removeChildren, setId, setNonce, setOpaqueClientData, setService, setSignature`

Methods inherited from class oracle.security.xmlsec.util.XMLElement
`addNSPrefixAttr, addNSPrefixAttr, addNSPrefixAttrDefault, addNSPrefixAttrDefault, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildElementsByTagName, getChildElementsByTagName, getChildElementsByTagNameNS, getChildElementsByTagNameNS, getDefaultNSPrefix, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setDefaultNSPrefix`

Methods inherited from class oracle.security.xmlsec.util.XMLNode
`appendChild, appendChild, appendTo, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNode, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getSystemId, hasAttributes, hasChildNodes, insertBefore, insertBefore, isSupported, normalize, removeChild, removeChild, replaceChild, replaceChild, setNodeValue, setPrefix, setSystemId, toBytesXML, toStringXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompoundResult

    public CompoundResult(org.w3c.dom.Element element)
                   throws org.w3c.dom.DOMException

  Creates a new `CompoundResult` instance from the given Element node.
Parameters:
  `element` - An Element node in the XML document that conforms to the XKMS CompoundResult schema.
Throws:
  `org.w3c.dom.DOMException`

### CompoundResult

    public CompoundResult(org.w3c.dom.Document owner)
                   throws org.w3c.dom.DOMException

  Create a new `CompoundResult` instance.
Parameters:
  `owner` - The owner document of the new `CompoundResult`.
Throws:
  `org.w3c.dom.DOMException`

### CompoundResult

    public CompoundResult(org.w3c.dom.Document owner,
                          java.lang.String systemId)
                   throws org.w3c.dom.DOMException

  Create a new `CompoundResult` instance.
Parameters:
  `owner` - The owner document of the new `CompoundResult`.
  `systemId` - The URI string system ID for the `Message`.
Throws:
  `org.w3c.dom.DOMException`

### CompoundResult

    public CompoundResult(org.w3c.dom.Document owner,
                          java.util.List results)
                   throws org.w3c.dom.DOMException

  Create a new `CompoundResult` instance.
Parameters:
  `owner` - The owner document of the new `CompoundResult`.
  `results` - The list of `XKMSResult`s carried by this `CompoundResult` message.
Throws:
  `org.w3c.dom.DOMException`

Method Detail

### addResult

    public void addResult(Result result)
                   throws org.w3c.dom.DOMException

  Add a XKMS result to this `CompoundResult` instance.
  Parameters:
    `result` - The `XKMSResult`s carried by this `CompoundResult` message.
  Throws:
    `org.w3c.dom.DOMException`

### getResults

    public java.util.List getResults()
                              throws org.w3c.dom.DOMException

  Returns the `xkms:CompoundResult` child element for this message or `null` if none is set.
  Returns:
    The list of `XKMSResult` carried by this `CompoundResult` message.
  Throws:
    `org.w3c.dom.DOMException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools XKMS Java API Reference 10g Release 3 (10.1.3) B25625-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.